/*
 * @Description: 
 * @Author: zangsuyun
 * @Date: 2021-03-19 18:09:35
 * @LastEditors: zangsuyun
 * @LastEditTime: 2021-03-30 09:51:00
 * @Copyright: © 2020 杭州杰竞科技有限公司 版权所有
 */
import Service from "@/common/js/service";

class KnowledgeAPI {
  // 媒体课列表（视频/图文）
  knowledgeMediaCoursePage = (params: object) => {
    return Service.Hades("public/hades/knowledgeMediaCoursePage", params);
  }
  // 直播课列表
  knowledgeLiveCoursePage = (params: object) => {
    return Service.Hades("public/hades/knowledgeLiveCoursePage", params);
  }
  // 知识库分类树
  getCategoryTree = (params: object) => {
    return Service.Hades("public/hades/queryKnowledgeCategoryTree", params);
  }
  // 查询题目分类树
  queryQuestionCategoryTree = (params: object) => {
    return Service.Hades("public/hades/queryQuestionCategoryTree", params);
  }
  // 新增知识
  addKnowledge = (params: object) => {
    return Service.Hades("public/hades/batchAddKnowledge", params);
  }
  // 不同类型一起新增知识
  addDifTypeKnowledge = (params: object) => {
    return Service.Hades("public/hades/batchAddDifTypeKnowledge", params);
  }
  // 删除知识
  delKnowledge = (params: object) => {
    return Service.Hades("public/hades/delKnowledge", params);
  }
  // 移动知识
  moveKnowledge = (params: object) => {
    return Service.Hades("public/hades/moveKnowledge", params);
  }
  // 知识库列表
  queryPageKnowledgeForManager = (params: object) => {
    return Service.Hades("public/hades/queryPageKnowledgeForManager", params);
  }
  // 直播课学生观看记录
  queryPageKnowledgeLiveStudentVisitData = (params: object) => {
    return Service.Hades("public/hades/queryPageKnowledgeLiveStudentVisitData", params);
  }
  // 直播课老师观看记录
  queryPageKnowledgeLiveTeacherVisitData = (params: object) => {
    return Service.Hades("public/hades/queryPageKnowledgeLiveTeacherVisitData", params);
  }
  // 分页图文课观看记录
  queryPageKnowledgeMediaCourseWatchInfo = (params: object) => {
    return Service.Hades("public/hades/queryPageKnowledgeMediaCourseWatchInfo", params);
  }
  // 直播课回放学生观看记录
  queryPageKnowledgeReplayRecordPage = (params: object) => {
    return Service.Hades("public/hades/queryPageKnowledgeReplayRecordPage", params);
  }
  // 分页获取知识库包括（子分类）
  queryPageKnowledgeInclude = (params: object) => {
    return Service.Hades("anon/customerHades/queryPageKnowledgeInclude", params);
  }
  // 分页云盘资料查看记录
  queryPageKnowledgeFolderWatchInfo = (params: object) => {
    return Service.Hades("public/hades/queryPageKnowledgeFolderWatchInfo", params);
  }
  // 资料观看记录导出
  exportFolderLearnSync = (params: object) => {
    return Service.Hades("public/knowledge/exportFolderLearnSync", params);
  }
  // 直播观看记录导出
  exportLiveLearnSync = (params: object) => {
    return Service.Hades("public/knowledge/exportLiveLearnSync", params);
  }
  //图文课观看记录导出
  exportPicLearnSync = (params: object) => {
    return Service.Hades("public/knowledge/exportPicLearnSync", params);
  }
  // 视频课观看记录导出
  exportVideoLearnSync = (params: object) => {
    return Service.Hades("public/knowledge/exportVideoLearnSync", params);
  }

}

export default new KnowledgeAPI()